# -sni (Store NT security information) switch

#### Syntax

    -sni

Use this switch to store and restore NT (NTFS) security information for files and directories. Note that only NTFS file system supports that feature.

Current version of 7-Zip can store NT security information only to WIM archives.

#### Examples

    7z a a.wim -sni *.txt

stores txt files with NT security information.

    7z x a.wim -sni

unpacks a.wim and restores NT security information.

#### Commands that can be used with this switch

a (Add), e (Extract), u (Update), x (Extract with full paths)

#### See also

Switches: -sns